#!/bin/bash
#
# Playlist retriever for INTERNETO.TV service
#
# This script (and scripts in the func/ directory) is a part of the Phoenix web service
# Copyright (C) 2015-2019 DDS Central
# Since the Phoenix web service is not public, author grants permission to use this script separately from the Phoenix web service.
# But you may not distribute this script without permission, claim that you wrote this code or remove any copyright notices.
#

#if [ -z "$1" ]; then
#        echo "Usage: $(basename $0) <channel>"
#
#        exit 0
#fi

source $(dirname "$0")/lib/functions.sh
source $(dirname "$0")/lib/cache.sh
source $(dirname "$0")/telia.cfg

read channel

chunklist=$(get_chunklist "$channel")

if [ -z "$chunklist" ]; then
	s_echo "Could not retrieve chunklist or chunklist is empty for $channel !"
	exit 1
fi

echo "$chunklist"
